alone_decoder.c File Reference

Decoder for LZMA_Alone files. More...

`#include "alone_decoder.h"`
`#include "lzma_decoder.h"`
`#include "lz_decoder.h"`

## Data Structures

struct | lzma_alone_coder

## Functions

static lzma_ret | alone_decode (void *coder_ptr, const lzma_allocator *allocator, const uint8_t *restrict in, size_t *restrict in_pos, size_t in_size, uint8_t *restrict out, size_t *restrict out_pos, size_t out_size, lzma_action action)
static void | alone_decoder_end (void *coder_ptr, const lzma_allocator *allocator)
static lzma_ret | alone_decoder_memconfig (void *coder_ptr, uint64_t *memusage, uint64_t *old_memlimit, uint64_t new_memlimit)
lzma_ret | lzma_alone_decoder_init (lzma_next_coder *next, const lzma_allocator *allocator, uint64_t memlimit, bool picky)
lzma_ret | lzma_alone_decoder (lzma_stream *strm, uint64_t memlimit)
| Initialize .lzma decoder (legacy file format) More...

## Detailed Description

Decoder for LZMA_Alone files.

## Function Documentation

## lzma_alone_decoder()

lzma_ret lzma_alone_decoder | ( | lzma_stream * | strm,
|  | uint64_t | memlimit
| ) |  |

Initialize .lzma decoder (legacy file format)

Parameters

  strm | Pointer to properly prepared lzma_stream
  memlimit | Memory usage limit as bytes. Use UINT64_MAX to effectively disable the limiter. liblzma 5.2.3 and earlier don't allow 0 here and return LZMA_PROG_ERROR; later versions treat 0 as if 1 had been specified.

Valid ‘action’ arguments to lzma_code() are LZMA_RUN and LZMA_FINISH. There is no need to use LZMA_FINISH, but it's allowed because it may simplify certain types of applications.

Returns
  - LZMA_OK
  - LZMA_MEM_ERROR
  - LZMA_PROG_ERROR

References lzma_next_strm_init.